Home / Forums / DynamiX Support / Updating from 2.9

Viewing 15 posts - 1 through 15 (of 53 total)
  • Author
    Posts

  • Ken Kniskern
    Participant

    I tried using the Envato plugin to update from 2.9 with disastrous results, so I have since restored from a backup, and am back at 2.9.

    Can someone please direct me to the best way to upgrade from 2.9 without losing content? All I am finding here are upgrade instructions for those already on 3.

    Thanks!


    Tom ( Support)
    Keymaster

    Hi Ken,

    We recommend you use the Envato plugin for automatic updates.

    Since you are upgrading from a quite an old version, there may be some things you will have to re-select/re-do. You will have to re-select your slidesets within galleries, menu and sometimes widgets. Some pages may not render across to the new Visual Composer but most will. Just a precaution anyway.

    DynamiX 3.+ Overview screencast here. For updating and using the Envato plugin, see here. For information on Visual Composer see here.

    Hope this helps.

    Kind regards,
    Tom


    simon
    Participant

    Hello. I too am upgrading from 2.9. Envato toolkit does not give me an option to upgrade only to install. When I try to install of course it says the folder already exists. Please advise.
    Thanks.
    Simon


    Tom ( Support)
    Keymaster

    Hi Simon,

    Please follow the instructions here for the fix for this. As the company name was changed, it threw a few things off within the update.

    Hope this helps.

    Kind regards,
    Tom


    simon
    Participant

    Disaster. White screen.

    Warning: implode() [function.implode]: Invalid arguments passed in /home2/sasenzon/public_html/philosophyofchiropractic.com/wp-includes/class-wp-theme.php on line 675
    Help.


    simon
    Participant

    I got the theme to install but the site is a disaster. Time to fix all 43 pages. : )


    simon
    Participant
    This reply has been marked as private.

    simon
    Participant
    This reply has been marked as private.

    Tom ( Support)
    Keymaster

    Hi Simon,

    It seems you are running a very old version of the CSS (2.8.2) to be exact. Did you switch back to the core theme, update, then switch back to the child theme?

    Something is not quite right here.

    If you are still having issues, please set your reply to private and provide your URL/login details so I can take a further look for you?

    Kind regards,
    Tom


    simon
    Participant
    This reply has been marked as private.

    Tom ( Support)
    Keymaster

    Hi Simon,

    Your DynamiX install is coming up to 3 years out of date, there are massive differences in the code compared to the latest version.

    If we had FTP access we could guide you with how to update. When updating to the latest version from a very old version like 2.8 there are a lot of things that have changed. There will be a few things you need to reselect including your menu, sidebars and you may have to rebuild some pages. The framework of the theme has been updated and there are some big advances in the code.

    Please set your reply to private and reply with your login details and we will take a look for you.

    Kind regards,
    Tom


    simon
    Participant
    This reply has been marked as private.

    Tom ( Support)
    Keymaster

    Hi Simon,

    We definitely need your FTP details which you can create through your cPanel account. I recommend asking your hosting company if you are unsure about this.

    Kind regards,
    Tom


    simon
    Participant
    This reply has been marked as private.

    Ken Kniskern
    Participant
    This reply has been marked as private.
Viewing 15 posts - 1 through 15 (of 53 total)

You must be logged in to reply to this topic.